Page MenuHomePhabricator

Change the "Collections" icon in left nav menu
Closed, ResolvedPublic1 Story Points

Description

I'm attaching an svg of the icon here.

Event Timeline

MSyed assigned this task to JKatzWMF.
MSyed raised the priority of this task from to Needs Triage.
MSyed updated the task description. (Show Details)
MSyed added a subscriber: MSyed.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 24 2015, 10:06 PM
MSyed set Security to None.

This is where the icon should go:

Jdlrobson moved this task from Needs triage to In sprint on the Gather board.
JKatzWMF removed JKatzWMF as the assignee of this task.Mar 30 2015, 5:54 PM
Jdlrobson edited a custom field.
Jhernandez moved this task from Ready for dev to In development on the Gather Sprint Enwiki board.

Change 200847 had a related patch set uploaded (by Jhernandez):
Add collections icon to menu

https://gerrit.wikimedia.org/r/200847

Added icon. I've had to edit it to change the color to white and the document size to something a bit more square or the icon would be scaled and be too small (document size was 1280x800, changed it to 1000x800). Also optimized with svgo.

How it looks:

The edited icon:

Change 200847 merged by jenkins-bot:
Add collections icon to menu

https://gerrit.wikimedia.org/r/200847

I think something might have happened with the ResourceLoader image module.

Change 201592 had a related patch set uploaded (by Jdlrobson):
Abuse the hook to add all icons to Minerva

https://gerrit.wikimedia.org/r/201592

It was showing only on special pages. I'm abusing the hook in this patchset but it will do the job for the time being. See T93257

Had to change addModuleStyles to addModules to get it to work actually. But it seems to work now. (Patch is merging, ) can you confirm @Jdlrobson?

Change 201592 merged by jenkins-bot:
Abuse the hook to add all icons to Minerva

https://gerrit.wikimedia.org/r/201592

Jdlrobson closed this task as Resolved.Apr 3 2015, 4:39 PM